# Deprecated API

## Contents

- Terminally Deprecated
- Classes
- Methods

Terminally Deprecated Elements
Element
Description
net.shibboleth.idp.attribute.context.AttributeContext.setIdPAttributes(Collection<IdPAttribute>)
net.shibboleth.idp.attribute.context.AttributeContext.setUnfilteredIdPAttributes(Collection<IdPAttribute>)
net.shibboleth.idp.attribute.filter.context.AttributeFilterContext.setFilteredIdPAttributes(Collection<IdPAttribute>)
net.shibboleth.idp.attribute.filter.context.AttributeFilterContext.setPrefilteredIdPAttributes(Collection<IdPAttribute>)
net.shibboleth.idp.saml.attribute.resolver.impl.SAML1NameIdentifierAttributeDefinition
net.shibboleth.idp.saml.attribute.resolver.impl.SAML2NameIDAttributeDefinition

Deprecated Classes
Class
Description
net.shibboleth.idp.saml.attribute.resolver.impl.SAML1NameIdentifierAttributeDefinition
net.shibboleth.idp.saml.attribute.resolver.impl.SAML2NameIDAttributeDefinition

Deprecated Methods
Method
Description
net.shibboleth.idp.attribute.context.AttributeContext.setIdPAttributes(Collection<IdPAttribute>)
net.shibboleth.idp.attribute.context.AttributeContext.setUnfilteredIdPAttributes(Collection<IdPAttribute>)
net.shibboleth.idp.attribute.filter.context.AttributeFilterContext.setFilteredIdPAttributes(Collection<IdPAttribute>)
net.shibboleth.idp.attribute.filter.context.AttributeFilterContext.setPrefilteredIdPAttributes(Collection<IdPAttribute>)